#include "mpu6050.h"
#include "utils.h"
#include "iic.h"

unsigned char BUF[10];       //接收数据缓存区

void Init_MPU9250(void)
{
    Single_Write(GYRO_ADDRESS,PWR_MGMT_1, 0x00);	//解除休眠状态
	Single_Write(GYRO_ADDRESS,SMPLRT_DIV, 0x07);
	Single_Write(GYRO_ADDRESS,CONFIG, 0x06);
	Single_Write(GYRO_ADDRESS,GYRO_CONFIG, 0x18);
	Single_Write(GYRO_ADDRESS,ACCEL_CONFIG, 0x01);
}
	
void READ_MPU9250_ACCEL(short *T_X, short *T_Y, short *T_Z)
{ 

   BUF[0]=Single_Read(ACCEL_ADDRESS,ACCEL_XOUT_L); 
   BUF[1]=Single_Read(ACCEL_ADDRESS,ACCEL_XOUT_H);
   *T_X=	(BUF[1]<<8)|BUF[0];
   *T_X/=164; 						   //读取计算X轴数据

   BUF[2]=Single_Read(ACCEL_ADDRESS,ACCEL_YOUT_L);
   BUF[3]=Single_Read(ACCEL_ADDRESS,ACCEL_YOUT_H);
   *T_Y=	(BUF[3]<<8)|BUF[2];
   *T_Y/=164; 						   //读取计算Y轴数据
   BUF[4]=Single_Read(ACCEL_ADDRESS,ACCEL_ZOUT_L);
   BUF[5]=Single_Read(ACCEL_ADDRESS,ACCEL_ZOUT_H);
   *T_Z=	(BUF[5]<<8)|BUF[4];
   *T_Z/=164; 					       //读取计算Z轴数据
 
}

void READ_MPU9250_GYRO(short *T_X, short *T_Y, short *T_Z)
{ 

   BUF[0]=Single_Read(GYRO_ADDRESS,GYRO_XOUT_L); 
   BUF[1]=Single_Read(GYRO_ADDRESS,GYRO_XOUT_H);
   *T_X=	(BUF[1]<<8)|BUF[0];
   *T_X/=16.4; 						   //读取计算X轴数据

   BUF[2]=Single_Read(GYRO_ADDRESS,GYRO_YOUT_L);
   BUF[3]=Single_Read(GYRO_ADDRESS,GYRO_YOUT_H);
   *T_Y=	(BUF[3]<<8)|BUF[2];
   *T_Y/=16.4; 						   //读取计算Y轴数据
   BUF[4]=Single_Read(GYRO_ADDRESS,GYRO_ZOUT_L);
   BUF[5]=Single_Read(GYRO_ADDRESS,GYRO_ZOUT_H);
   *T_Z=	(BUF[5]<<8)|BUF[4];
   *T_Z/=16.4; 					       //读取计算Z轴数据
}


void READ_MPU9250_MAG(short *T_X, short *T_Y, short *T_Z)
{ 
   Single_Write(GYRO_ADDRESS,0x37,0x02);//turn on Bypass Mode 
   Delayms(10);	
   Single_Write(MAG_ADDRESS,0x0A,0x01);
   Delayms(10);	
   BUF[0]=Single_Read (MAG_ADDRESS,MAG_XOUT_L);
   BUF[1]=Single_Read (MAG_ADDRESS,MAG_XOUT_H);
   *T_X=(BUF[1]<<8)|BUF[0];

   BUF[2]=Single_Read(MAG_ADDRESS,MAG_YOUT_L);
   BUF[3]=Single_Read(MAG_ADDRESS,MAG_YOUT_H);
   *T_Y=	(BUF[3]<<8)|BUF[2];
   						   //读取计算Y轴数据
	 
   BUF[4]=Single_Read(MAG_ADDRESS,MAG_ZOUT_L);
   BUF[5]=Single_Read(MAG_ADDRESS,MAG_ZOUT_H);
   *T_Z=	(BUF[5]<<8)|BUF[4];
 					       //读取计算Z轴数据
}


